Subject: Re: Trying to Find New Bearings for Craftsman Jointer

From: [email-masked] (Ken Moonitz)
Date: Wed, 27 Oct 1993 15:03:25 GMT

In article <[email-masked]> [email-masked] (James Foster x2912) writes:
>In article <[email-masked]>, [email-masked] (Jay Keller) writes:
>|> My jointer is a 6" Craftsman from 1969, marked model 113-20621.  It cuts 
>|> nicely, but there is just a barely detectable amount of play in the drive-side
>|> bearing and I'm sure I can get the noise and vibration down a bit if I replace
>|> it.  
>|> 
>|> Is it as simple as calling Sears parts?  Or is there somewhere else I can find
>|> the bearings.  The ones on the machine (possibly the originals) are marked
>|> Hoover 77202-10.  Is this a standard number or can someone cross-reference to
>|> a standard number?  
>|>  
>|> 
>|> Thanks, 
>|> 
>|> Jay Keller
>|> Sunnyvale, California
>
>
>For something that new I'd expect that Sears would carry the part.  If not,
>check your yellow pages for industrial supply houses and give them the 
>brand and part number.  Even if they can't cross reference that manufacturer,
>if you bring the bearing in they are likely to be able to find a match
>for it.  This may be more or less expensive than going to Sears, so you'll
>probably want to check prices on both options.

Yes, go to Sears.  I went there looking for bearings for a '60s router
and they pulled it up on their computer, asked how many I wanted
and had it mailed to my door in less than a week.  If your close
to to a bearing supplier check them out too.  I think you'll find
Sears replacement parts are not as expensive as you would think.